<template>
    <svg width="24px" height="24px" viewBox="0 0 24 24" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" class="init" :class="size">
        
        <title>pinterest</title>
        <desc>Created with sketchtool.</desc>
        <g id="brand" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
            <g id="pinterest" fill="#000000">
                <path d="M11.9996934,2 C6.47687073,2 2,6.47687073 2,11.9996934 C2,16.2362282 4.63572545,19.854143 8.35541522,21.3114865 C8.26835474,20.5199718 8.18926458,19.3072561 8.39036204,18.4427823 C8.57184023,17.6629165 9.56261304,13.4723644 9.56261304,13.4723644 C9.56261304,13.4723644 9.26403237,12.8733638 9.26403237,11.9880445 C9.26403237,10.5969161 10.0696484,9.55954753 11.0732963,9.55954753 C11.9261212,9.55954753 12.3381257,10.199626 12.3381257,10.9678428 C12.3381257,11.8255725 11.792465,13.1081818 11.5104381,14.2975997 C11.2743938,15.2926642 12.0095031,16.1044113 12.9910794,16.1044113 C14.768462,16.1044113 16.1344533,14.2301585 16.1344533,11.5251525 C16.1344533,9.13098924 14.4140891,7.45660771 11.9573894,7.45660771 C9.11259618,7.45660771 7.44189326,9.59081573 7.44189326,11.7967567 C7.44189326,12.6557126 7.77296833,13.577818 8.18619907,14.0781092 C8.26835474,14.1774317 8.28000368,14.2644922 8.2560927,14.3650409 C8.18006805,14.6814016 8.01146501,15.3601055 7.9777444,15.4998927 C7.93421416,15.681984 7.83305233,15.7212225 7.64360381,15.6329358 C6.39471506,15.0517152 5.61362313,13.2258974 5.61362313,11.7587444 C5.61362313,8.60433463 7.90539836,5.70804083 12.2210233,5.70804083 C15.6899543,5.70804083 18.3857638,8.18006805 18.3857638,11.4834616 C18.3857638,14.9297079 16.2129303,17.7027682 13.1964685,17.7027682 C12.183624,17.7027682 11.2308636,17.1767266 10.9046933,16.5544281 C10.9046933,16.5544281 10.4031759,18.4642408 10.2817817,18.9320376 C10.0561601,19.8001901 9.44673676,20.8896723 9.03902394,21.5536618 C9.97461758,21.8430459 10.969069,21.9993869 11.9996934,21.9993869 C17.5225162,21.9993869 22,17.5219031 22,11.9996934 C22,6.47687073 17.5225162,2 11.9996934,2" id="Shape"></path>
            </g>
        </g>
    </svg>
</template>

<script setup lang="ts">
defineProps<{ size: string }>();
</script>